function fig = zadani(zadany_jazyk)
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

global jazyk scrsz
jazyk=zadany_jazyk;
close
load mikropas_zadani
texty=[{'Mikropsek','Permitivita substrtu:','Ztrtov hel substrtu [tan(delta)]:','Kmitoet [GHz]:','Sud vidy','Lich vidy'};
{'Microstrip','Substrate permitivity:','Losses in substrate (tan(delta)):','Frequency [GHz]:','Even modes','Odd modes'}];

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'FileName','mikropas_zadani', ...
	'MenuBar','none', ...
	'Name',texty{jazyk,1}, ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[scrsz(3)/2-138 scrsz(4)/2-80 276 160], ...
	'Tag','mikro', ...
	'ToolBar','none');
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Position',[0.2 0.2 1 0.9], ...
	'Tag','Axes1', ...
	'Visible','off', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4962406015037594 -0.1428571428571428 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap', ...
	'Visible','off');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat2, ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline', ...
	'Visible','off');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.2030075187969925 0.8809523809523809 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat3, ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom', ...
	'Visible','off');
set(get(h2,'Parent'),'Title',h2);

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[10 90 100 12], ...
	'String',texty{jazyk,2}, ...
	'Style','text', ...
	'Tag','permit');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[155 90 35 15], ...
	'String','5', ...
	'Style','edit', ...
	'Tag','permitivita');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[10 65 130 12], ...
	'String',texty{jazyk,3}, ...
	'Style','text', ...
	'Tag','uhel_t');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[155 65 35 15], ...
	'String','0.001', ...
	'Style','edit', ...
	'Tag','uhel');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[10 40 80 12], ...
	'String',texty{jazyk,4}, ...
	'Style','text', ...
	'Tag','kmit');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[155 40 35 15], ...
	'String','20', ...
	'Style','edit', ...
	'Tag','kmitocet');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','sude', ...
	'ListboxTop',0, ...
	'Position',[34 10 52 15], ...
	'String',texty{jazyk,5}, ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','liche', ...
	'ListboxTop',0, ...
	'Position',[119 10 52 15], ...
	'String',texty{jazyk,6}, ...
	'Tag','Pushbutton1');
if nargout > 0, fig = h0; end
